# SPDX-FileCopyrightText: 2024 Climate Service Center Germany, Technische Universität Dresden
#
# SPDX-License-Identifier: BSD-3-Clause

"""Heat2UrbanImpact

Barrier-free RCM data, representative for heat events, for urban impact models.
"""

from __future__ import annotations

import heat2urbanimpact  # noqa: F401

from . import _version

__version__ = _version.get_versions()["version"]

__author__ = "Bente Tiedje, Astrid Ziemann"

__credits__ = [
    "Bente Tiedje",
    "Astrid Ziemann",
]
__license__ = "BSD-3-Clause"

__maintainer__ = (
    "Bente Tiedje, Astrid Ziemann, Mostafa Hadizadeh, Bianca Wentzel"
)
__email__ = "bente.tiedje@hereon.de, astrid.ziemann@tu-dresden.de"

__status__ = "Pre-Alpha"


__all__ = ["__version__"]
